Name: openssl-gost-engine
Version: 1.1.0.3.git3383ad1
Release: 1

License: BSD-style
Summary: A reference implementation of the Russian GOST crypto algorithms for OpenSSL

Group: System/Libraries

Source: engine-%version.tar.gz

BuildRequires: cmake-rpm-macros gcc perl-Test-Simple
BuildRequires: cmake openssl-devel pkgconf-pkg-config

%{?!_without_check:%{?!_disable_check:BuildRequires: perl-devel openssl}}

%description
A reference implementation of the Russian GOST crypto algorithms for OpenSSL.

%package -n gostsum
Summary: GOST file digesting utilites
Group: File tools

%description -n gostsum
GOST file digesting utilites.

%global _enginesdir %(pkg-config --variable=enginesdir libcrypto)
%prep
%setup -n engine-%version

%build
%cmake .

make

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_mandir/man1
mkdir -p %buildroot%_enginesdir
cp bin/gost.so %buildroot%_enginesdir/
cp bin/gost*sum %buildroot%_bindir/
cp gost*sum.1 %buildroot%_mandir/man1/

%check
echo "ALL" > "$PWD/openssl-crypto-policy.override"
OPENSSL_ENGINES="$PWD/bin" \
	OPENSSL_SYSTEM_CIPHERS_OVERRIDE="$PWD/openssl-crypto-policy.override" \
	LD_LIBRARY_PATH="$PWD/bin" \
	CTEST_OUTPUT_ON_FAILURE=1 \
	make test ARGS="--verbose"

%files
%_enginesdir/gost.so

%files -n gostsum
%_bindir/gost*sum*
%_mandir/man1/gost*sum*

%changelog
* Thu Oct 04 2018 Alexander Bokovoy <abokovoy@redhat.com> 1.1.0.3-1
- Initial build using git master commit 3383ad1
